Subject: [bug#73439] [PATCH v5] gnu: libreoffice: Update to 24.8.3.2.

From: Nicolas Graves <[email-masked]>
Date: Wed, 20 Nov 2024 15:05:03 +0100

On 2024-11-20 13:13, Ludovic Courtès wrote:

> Hi,
>
> Nicolas Graves <[email-masked]> skribis:
>
>> * gnu/packages/libreoffice.scm (libreoffice): Update to 24.8.3.2.
>> [source]<uri>: Add secondary uri.
>> [arguments]<#:phases>: Fix build issue related to issue 43579 in phase
>> 'prepare-src.
>> [configure-flags]: Add optimising flags --disable-cve-tests,
>> --enable-readonly-installset, --disable-dependency-tracking.
>> [native-inputs]: Add gcc-toolchain-12.
>> [inputs]: Add argon2, zxcvbn-c.
>>
>> Change-Id: I72e0ebb4d075c47ea168b181f969a97f9249150a
>> +              ;; https://issues.guix.gnu.org/43579
>> +              (substitute* '("sal/rtl/math.cxx"
>> +                               "sc/source/core/tool/math.cxx")
>> +                  (("std::(fe[gs]etround|feclearexcept|fetestexcept)" all suffix)
>> +                   suffix))
>
> I doubt removing “std:” is necessary, is it?

I can retry without, but I think the error still happens. The
CPLUS_INCLUDE_PATH fix is only fixing the error you were experiencing,
not the one I had at first.  I can still fiddle with that and remove
more in the CPLUS_INCLUDE_PATH, but I've tried a lot of variations
(including not removing std::) and this configuration is the only I
manage to build the whole thing with.

>> +              (let ((gcc-11-dir (dirname
>> +                                 (dirname
>> +                                  (dirname
>> +                                   (search-input-directory
>> +                                    inputs "share/doc/gcc-11.4.0"))))))
>
> Or just (search-input-directory inputs "/include/c++") ?
>
> That would be more consistent (and concise :-)) since this is about
> setting CPLUS_INCLUDE_PATH.

When trying that, it will remove the gcc-12 one, not the gcc-11 one,
which I think is the one causing the bug.  I know it's not pretty, but
since we explicitely put gcc-12 in inputs, I'm fine with explicitely
citing gcc-11. I can use package-version if better for gcc-11,
but we can't just search-directory-inputs here. 

> Otherwise LGTM, thanks!
> Ludo’.

-- 
Best regards,
Nicolas Graves